version: "3.9"

services:
  discord-bot:
    build: .
    container_name: mirage-bot
    environment:
      - DISCORD_TOKEN=${DISCORD_TOKEN}
      - CHANNEL_ID=${CHANNEL_ID}
      - OLLAMA_API=${OLLAMA_API}
      - MODEL_NAME=${MODEL_NAME} 
    volumes:
      - ./settings.yml:/app/settings.yml:ro
    restart: unless-stopped